From 67bdccaf0d328eae57142235dd66b1bdf2a1be66 Mon Sep 17 00:00:00 2001
From: W. Trevor King <wking@drexel.edu>
Date: Tue, 21 Oct 2008 09:36:29 -0400
Subject: [PATCH] Added math.h include to fs_align_histogram2d.h.

Do Mac/Windows compilers include math.h by default?
I was getting:
  /usr/bin/gcc -W -Wall -Wno-long-double -I/sw/include -Dfs_gui_wxwidgets -I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__
  src/fs_align_aspectrum.cpp -c  -o fs_align_aspectrum.o
  In file included from src/fs_align_aspectrum.h:5,
                   from src/fs_align_aspectrum.cpp:1:
  src/fs_align_histogram2d.h: In constructor `fs_align::fineHistogram2D::fineHistogram2D(size_t, size_t, double, double, double, double, double, double)':
  src/fs_align_histogram2d.h:130: error: `ceil' was not declared in this scope
with gcc 4.2.3 (Ubuntu 4.2.3-2ubuntu7)
---
 src/fs_align_histogram2d.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/src/fs_align_histogram2d.h b/src/fs_align_histogram2d.h
index f29e37e..5cd8f39 100644
--- a/src/fs_align_histogram2d.h
+++ b/src/fs_align_histogram2d.h
@@ -1,4 +1,5 @@
 
+#include <math.h>
 #include <gsl/gsl_histogram2d.h>
 #include <gsl/gsl_sf_erf.h>
 #include <gsl/gsl_vector.h>
-- 
1.5.4.3

